import { defineConfig } from 'astro/config';
import node from "@astrojs/node";

import cloudflare from "@astrojs/cloudflare";

import react from "@astrojs/react";

// https://astro.build/config
export default defineConfig({
	output: "server",
	adapter: cloudflare(),
	integrations: [react()],
	vite: {
		server: {
			allowedHosts: ["nin0-pc.buri-roach.ts.net"]
		}
	}
});